import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { NotificationTypesSchema } from '../enums/NotificationTypes.schema';
import { UserCreateNestedOneWithoutNotificationsInputObjectSchema as UserCreateNestedOneWithoutNotificationsInputObjectSchema } from './UserCreateNestedOneWithoutNotificationsInput.schema'

const makeSchema = () => z.object({
  type: NotificationTypesSchema,
  message: z.string(),
  createdAt: z.coerce.date().optional(),
  read: z.boolean().optional(),
  user: z.lazy(() => UserCreateNestedOneWithoutNotificationsInputObjectSchema)
}).strict();
export const NotificationCreateInputObjectSchema: z.ZodType<Prisma.NotificationCreateInput> = makeSchema() as unknown as z.ZodType<Prisma.NotificationCreateInput>;
export const NotificationCreateInputObjectZodSchema = makeSchema();
